/*
创建数据库bookdb，在bookdb数据库中创建login登录表。表结构：  login(login_id 登录编号, name 登录名, passwd 密码，create_time 注册时间, last_time 最近登录时间 )。
【提示】表字段类型： 根据信息的分类确定。
*/
-- 删除原有数据库
-- drop database if exists bookdb;

-- 创建数据库
CREATE DATABASE IF NOT EXISTS bookdb;

-- 进入bookdb数据库
USE bookdb;

-- 创建login表
CREATE TABLE IF NOT EXISTS
login(
    -- 主键
    login_id INT PRIMARY KEY,
    name VARCHAR(50),
    passwd VARCHAR(50),
    create_time DATETIME,
    last_time DATETIME
);

-- 显示数据库bookdb结构
SHOW TABLES;

-- 显示表结构
DESCRIBE login;
